# FIXME: Build dies in a massive shower of boost problems without both
# of these - AdamW 2008/07
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

%define major	4
%define libname %mklibname %{name} %{major}

Summary: 	Encrypted pass-through filesystem for Linux
Name:		encfs
Version:	1.4.2
Release:	%mkrel 5
License:	GPLv3+
Group:		File tools
Source0:	%{name}-%{version}.tgz
# Fix build for GCC 4.3 - AdamW 2008/07
Patch0:		encfs-1.4.2-gcc43.patch
# Need to include boost-system lib, not just boost-serialization,
# as source uses symbols in it - AdamW 2008/07
Patch1:		encfs-1.4.2-boost-system.patch
URL: 		http://arg0.net/wiki/encfs
Requires:	fuse >= 2.3
Requires:	kmod(fuse)
Requires:	openssl >= 0.9.7
BuildRequires:	rlog-devel >= 1.3, fuse-devel >= 2.5, openssl-devel >= 0.9.7
BuildRequires:	chrpath
BuildRequires:	boost-devel
# for boost-system patch - need the ax_boost_system.m4 file from this
# for the patch to work - AdamW 2008/07
BuildRequires:	autoconf-archive
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
EncFS implements an encrypted pass-through filesystem in userspace using 
FUSE. File names and contents are encrypted using OpenSSL.

%package -n 	%{libname}
Summary:	Libraries for encfs
Group:		System/Libraries

%description -n	%{libname}
Libraries for encfs.

%prep 
%setup -q
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .boost_system

%build
# needed for boost-system.patch - AdamW 2008/07
cp /usr/share/aclocal/ax_boost_system.m4 m4-local/
autoreconf

%configure2_5x --disable-rpath --with-boost-serialization=boost_serialization-mt --with-boost-system=boost_system-mt
%make SED=/usr/bin/sed

%install
rm -fr %{buildroot}
%makeinstall_std
%find_lang %{name}

chrpath -d %{buildroot}%{_bindir}/{encfs,encfsctl}

# unneeded files
rm -f %{buildroot}%{_libdir}/libencfs.la
rm -f %{buildroot}%{_libdir}/libencfs.so

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libencfs.so.%{major}*


%changelog
* Sat Dec 20 2008 Funda Wang <fundawang@mandriva.org> 1.4.2-5mdv2009.1
+ Revision: 316573
- rebuild for new boost

* Mon Aug 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.2-4mdv2009.0
+ Revision: 273467
- rebuild against new boost

* Tue Jul 15 2008 Adam Williamson <awilliamson@mandriva.com> 1.4.2-3mdv2009.0
+ Revision: 236180
- pass --with-boost-system as well as --with-boost-serialization to configure
- disable --no-undefined and --as-needed (unresolvable build failure)
- buildrequires autoconf-archive (needed for boost-system.patch)
- add boost-system.patch - fixes build by building against boost-system as
  well as boost-serialization
- add gcc43.patch to add several missing #defines that break build
- clean spec
- change the explicit dkms-fuse require to kmod(fuse)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Funda Wang <fundawang@mandriva.org> 1.4.2-2mdv2009.0
+ Revision: 200074
- specify mt version of boost
- BR boost
- New version 1.4.2

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3.2-1mdv2008.1
+ Revision: 140729
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 07 2007 Funda Wang <fundawang@mandriva.org> 1.3.2-1mdv2008.0
+ Revision: 49395
- New version
- Import encfs



* Fri Jun 30 2006 Couriousous <couriousous@mandriva.org> 1.3.1-1mdv2007.0
- More fixes & Fix x86_64 build
- 1.3.1

* Wed Jun 28 2006 Lev Givon <lev@mandriva.org> 1.2.5-1.2mdk
- More spec file tweaks.

* Mon Jan 09 2006 Moreno Manzini <moreno.mg@gmail.com> 1.2.5-1.1mdk
- 1.2.5
- fixed some spec bugs.

* Tue Sep 13 2005 Madman <luca.n88@gmail.com> 1.2.4-1.1mdk
- Updated to 1.2.4-1 version.
- Fixed bug: don't try to decipher filenames which are too short to be valid.
- Feature: added "export" command to encfsctl.
- Feature: added support for static libencfs build.
- Feature: location of encfs configuration file can be overridden using ENCFS5_CONFIG environment variable. This allows keeping the .encfs5 configuration file in a separate location from the encoded data, for example.
- Feature: prevent user from trying to mount encfs results over the top of the encrypted directory.

* Sun Jul 24 2005 Madman <luca.n88@gmail.com> 1.2.3-1.1mdk
- First build for Mandriva 2006 Cooker.
- Fixed bug: with certain filesystem options a directory could not be renamed if it contained symbolic links.
- Fixed bug: allow symbolic link to "/".
- Feature: initialize OpenSSL hardware acceleration engine support.
- Feature: added "cat" command to encfsctl, which can dump the contents of a file without mounting the FS. 
- Feature: updated libtool.
